Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all campaigns by page
        • Get all campaigns by page and page size
        • Get campaign details
        • Get all senders
        • Get sender details
        • Create a draft campaign
        • Manage a transactional campaign
        • Dynamic templates for transactional campaign
        • Clone an existing campaign
        • Delete a campaign
        • Update a draft campaign
        • Test a campaign
        • Send a campaign
        • Schedule a campaign
        • Unschedule a campaign
        • Get campaign statistics
        • Get campaign statistics with paging and filter
        • Get campaign summary
        • Get campaign activity by location
        • Get campaign link activity
        • Get A/B campaign summary
  1. Campaigns
  1. API reference
  2. Campaigns
  3. Get campaign activity by location

Get campaign activity by location

GET /campaigns/{CampaignID}/stats/countries.{Format}

Retrieves the details about a specific campaign's unique or total opens by location.

Request

ParameterInTypeRequiredDescription
CampaignIDpathstringtrueThe ID of the campaign that you want to get the activity by location of.
FormatpathstringtrueThe supported file format for getting a response.Possible values:Ā json andĀ xml.
apikeyquerystringtrueThe API key of your account.
http
GET https://{hostname}/v3/campaigns/{CampaignID}/stats/countries.{Format}?apikey=
curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/campaigns/{CampaignID}/stats/countries.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/jsonAccept
/json
N/A
json
{
    "Code": 0,
    "Error": null,
    "Context": {
        "Paging": {
            "PageSize": 1,
            "CurrentPage": 1,
            "TotalResults": 1,
            "TotalPageCount": 1,
            "SortExpression": null,
            "SortIsAscending": false
        },
        "Analytics": \[
            {
                "Context": "nl",
                "ContextName": null,
                "TotalCount": 1,
                "UniqueCount": 1,
                "ContextDescription": null,
                "Timestamp": null
            }
        \]
    }
    "Analytics": \[
      {
        "Context": "  ",
        "ContextName": null,
        "TotalCount": 1,
        "UniqueCount": 1,
        "ContextDescription": null
      }
    \]
  }
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - an object that contains all theĀ Paging andĀ Analytics information for the campaign:

    • Paging - an object that contains the following information:

      • PageSize - the page size of the results. This is 0 if not defined.

      • CurrentPage - the number of the result page. This is 1 if not defined.

      • Totalresults - the number of results that are included in the response.

      • TotalPageCount - the total number of pages in your account.

      • SortExpression - the sort expression associated with the column or columns being sorted.

      • SortIsAscending - this is false if the results are not displayed in ascending order based on the sort expression.

    • Analytics - a list of countries where the campaign opens occurred. It contains the following information for each country:

      • Context - the country code.

      • ContextName - the name of the country.

      • TotalCount - the total number of campaign opens. Deprecated

      • UniqueCount - The total number of unique campaign opens. Deprecated

      • ContextDescription - this is null for this case.

      • Timestamp - the time the action is added in the response

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

Ā© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use